/* config.h for uushred 4.2pl3   by Mark Neidengard (mneideng@ugcs.caltech.edu)
   Circa 6-1996 */

/* MAXBUFSIZE is the size of all text line buffers inside uushred.  This
   should be set to the maximum number of characters, plus one for the 
   terminating NULL.  Setting this value too small can result in truncated
   or mangled strings throughout the program; setting it too large will
   waste some memory */

#define MAXBUFSIZE 91

/* MAXSUB is the number of subject entries to allocate space for in the
   subject index.  Each entry contains MAXBUFSIZE bytes for storing the
   subject, as well as several INTs relating to the position of the article
   to which the subject refers.  Reasonable values of MAXBUFSIZE will give
   entries of about 100 bytes in size; hence the default value yields a
   program that uses ~100k for subject storage.  Setting this value lower
   will save memory, but miniscule values will set the user up for potential
   memory problems if the actual number of subjects exceeds MAXSUB */

#define MAXSUB 1024

/* TMP_PREFIX is the directory specification of where uushred will try to
   put temporary files generated by pipeline mode (see man pages).  This
   entry must be enclosed by quotes, and if a directory is specified, must
   be suffixed with a '/' character.  Leaving the space inside quotes empty
   means that uushred will try to use the current directory. */

#define TMP_PREFIX "/tmp/"

/* DOS, if defined, will cause your program to follow certain DOS confentions,
   such as the 8.3 file naming convention and the use of CR/LF to signal the
   end of the line.  DO define this if you're using DOS, and DO NOT define this
   if you're on Unix. */

/* #define DOS */
