/* Message routines for uushred 4.2pl3  by Mark Neidengard
   (mneideng@ugcs.caltech.edu)  Circa 6-1996 */


help_screen ()
{
   printf ("Unix-Unix Simple Hierarchial Reordering Decoder 4.2pl3 6-1996\n");
   printf ("Mark Neidengard  mneideng@ugcs.caltech.edu\n");
   printf ("usage: uushred -[afiprs-] -[c<file>] -[n<file>] -[k<file>] <sources>\n");
   printf ("-a  Avoid FAQ articles       -f  Files created by uushred\n");
   printf ("-i  Input subject list       -p  Phase information (status)\n");
   printf ("-r  Re: article skip         -s  Sorted subject list\n");
   printf ("--  Get input from stdin\n");
   printf ("-c  Correlate multipart uue's either to <file> or stdout\n");
   printf ("-n  No decode; merely output uue pieces in sorted order with\n");
   printf ("    optional <file> to put them in (default is stdout)\n");
   printf ("-k  Killfile; use a killfile (default is ~/News/.uuskill)\n\n");
   printf ("Examples: uushred -afspr -cuncorout.uue af.uue\n");
   printf ("  Decode from a composite uue with status, FAQ and Re: skip,\n");
   printf ("  subjects as sorted, files made, and multipart correlation.\n");
   printf ("  Incomplete uue's go undecoded to uncorout.uue\n");
   printf ("          uushred -arcuncorout.uue -nsortedout.uue af.uue\n");
   printf ("  Sort af.uue, avoid FAQ and Re:, correlate with incomplete\n");
   printf ("  uue's going to uncorout.uue, and send the valid uue's to\n");
   printf ("  sortedout.uue.\n");
   printf ("          uushred --arpc/tmp/4later.uue\n");
   printf ("  Decode with status info and FAQ and Re: avoidance from stdin\n");
   printf ("  and correlate with incomplete parts going to /tmp/4later.uue\n");
}

no_files (called_as)  /* passing argv[0] allows error routines to reflect */
char *called_as;      /* the actual commandline issued, not the program name */
{
   printf ("%s: No files specified for input\n", called_as);
}

file_error (called_as,error_file,type)
char *called_as, *error_file;
char *type;
{
   printf ("%s: Couldn't open %s for %s\n", called_as,error_file, ((type=="r")?"input":"output"));
}

